List dimensions

The Usage Analytics Read API dimensions endpoint allows you to retrieve the dimensions in your Coveo organization (see /v15/dimensions). Make sure that you’re using an access token with Analytics - Analytics data - View and Analytics - Dimensions - View privileges in the target organization (see Create a Custom key).

Note

You’ll usually find it simpler to manage dimensions through the Coveo Administration Console (see Manage dimensions on custom metadata). This article is only relevant if you have a legitimate reason for listing dimensions programmatically.

Example
GET https://platform.cloud.coveo.com/rest/ua/v15/dimensions?org=myOrg HTTP/1.1

Authorization: Bearer **********-****-****-****-************

200 OK response body (excerpt)

[
  ...
  {
    "type": "DATE",
    "displayName": "Day",
    "apiNames": [
      "ACTIONDAYOFYEAR",
      "ACTIONS.ACTIONDAYOFYEAR",
      "DAYOFYEAR",
      "DAY"
    ],
    "returnName": "actionDayOfYear",
    "custom": false,
    "availableInVisit": false,
    "eventTypes": [
      "searches",
      "custom_events",
      "clicks",
      "views"
    ],
    "status": "AVAILABLE"
  },
  ...
]

You may then want to use the displayName value to learn more about the dimensions (for example, Day).